# The Feedback Company
# 2012/08/30
# Use phpMyAdmin (add table prefixes if needed)
# Or use the Zen Cart sql tool (it has bugs but copy and paste *usually* works, the upload feature is NOT recommended!).
# Copyright 2012, GetZenned.nl

SELECT @sortorder:=max(sort_order)
FROM configuration_group;

INSERT INTO configuration_group
VALUES (NULL , 'The Feedback Company', 'Settings for The Feedback Company script.', @sortorder+1, 1);

SELECT @thefeedbackcompanyid:=max(configuration_group_id)
FROM configuration_group;

#SELECT @thefeedbackcompanyid;

INSERT INTO configuration ( configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, use_function, set_function )
VALUES ( 'Enable The Feedback Company script', 'TFC_STATUS', 'false', 'If true, automatic invitations for feedback will be send.', @thefeedbackcompanyid , 10, NULL , 'zen_cfg_select_option(array(\'true\', \'false\'),' );

INSERT INTO configuration ( configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, use_function, set_function )
VALUES ( 'The Feedback Company URL (only change if The Feedback Company change URL)', 'TFC_URL', 'http://connect.feedbackcompany.nl/feedback/', 'Enter URL provided by The Feedback Company', @thefeedbackcompanyid , 20, NULL , NULL );

INSERT INTO configuration ( configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, use_function, set_function )
VALUES ( 'The Feedback Company Connectorcode', 'TFC_CONNECTOR', 'XYZ', 'Enter connectorcode provided by The Feedback Company', @thefeedbackcompanyid , 30, NULL , NULL );

INSERT INTO configuration ( configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, use_function, set_function )
VALUES ( 'How many days after order should invitation being send out', 'TFC_DELAY', '7', 'Enter number of days (0 = no-delay)', @thefeedbackcompanyid , 40, NULL , NULL );

INSERT INTO configuration ( configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, use_function, set_function )
VALUES ( 'How many days after order should reminder being send out', 'TFC_REMIND', '14', 'Enter number of days', @thefeedbackcompanyid , 50, NULL , NULL );

INSERT INTO configuration ( configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, use_function, set_function )
VALUES ( 'Same customer\, different order gets invitation', 'TFC_RESEND', '1', 'If true(1)\, Invitation are per order', @thefeedbackcompanyid , 60, NULL , 'zen_cfg_select_option(array(\'0\', \'1\'),' );

INSERT INTO configuration ( configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, use_function, set_function )
VALUES ( 'The Feedback Company Sidebox Shopcode', 'TFC_SHOPCODE', 'ASDF', 'Enter your shopcode (4 digit code behind ws=)', @thefeedbackcompanyid , 70, NULL , NULL );

INSERT INTO configuration ( configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, use_function, set_function )
VALUES ( 'The Feedback Company Number of Reviews in Sidebox', 'TFC_NOR', '2', 'Number of reviews schown in sidebox (default=2)', @thefeedbackcompanyid , 71, NULL , NULL );

INSERT INTO configuration ( configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, use_function, set_function )
VALUES ( 'The Feedback Company Sidebox Width', 'TFC_WW', '200', 'Width of the Sidebox in pixel (default=200px)', @thefeedbackcompanyid , 72, NULL , NULL );

INSERT INTO configuration ( configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, use_function, set_function )
VALUES ( 'The Feedback Company Sidebox Backgroundcolor', 'TFC_WBC', 'eeeeee', 'Enter widget backgroundcolor in hex without # (default=eeeeee)', @thefeedbackcompanyid , 73, NULL , NULL );

INSERT INTO configuration ( configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, use_function, set_function )
VALUES ( 'The Feedback Company Sidebox Feedbacktext Backgroundcolor', 'TFC_WTBC', 'ffffff', 'Enter widget textbackgroundcolor in hex without # (default=ffffff)', @thefeedbackcompanyid , 74, NULL , NULL );

INSERT INTO configuration ( configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, use_function, set_function )
VALUES ( 'The Feedback Company Sidebox Feedbacktext Bordercolor', 'TFC_WTBR', 'dddddd', 'Enter widget bordercolor in hex without # (default=dddddd)', @thefeedbackcompanyid , 75, NULL , NULL );

INSERT INTO configuration ( configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, use_function, set_function )
VALUES ( 'The Feedback Company Sidebox Textcolor', 'TFC_WTC', '757475', 'Enter widget textcolor in hex without # (default=757475)', @thefeedbackcompanyid , 76, NULL , NULL );

INSERT INTO configuration ( configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, use_function, set_function )
VALUES ( 'The Feedback Company Sidebox Linkcolor', 'TFC_WLC', 'bababa', 'Enter widget linkcolor in hex without # (default=bababa)', @thefeedbackcompanyid , 77, NULL , NULL );

INSERT INTO configuration ( configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, use_function, set_function )
VALUES ( 'The Feedback Company Sidebox Rankingcolor', 'TFC_WRC', '1898D8', 'Enter widget rankcolor in hex without # (default=1898D8)', @thefeedbackcompanyid , 76, NULL , NULL );

INSERT INTO configuration ( configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, use_function, set_function )
VALUES ( 'The Feedback Company Sidebox Titlecolor', 'TFC_WTTC', '808080', 'Enter widget tilelcolor in hex without # (default=808080)', @thefeedbackcompanyid , 78, NULL , NULL );

INSERT INTO configuration ( configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, use_function, set_function )
VALUES ( 'The Feedback Company Sidebox Countercolor', 'TFC_WCTC', '1898D8', 'Enter widget countercolor in hex without # (default=1898D8)', @thefeedbackcompanyid , 79, NULL , NULL );

INSERT INTO configuration ( configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, use_function, set_function )
VALUES ( 'The Feedback Company Sidebox Namecolor', 'TFC_WNTC', '1898D8', 'Enter widget namecolor in hex without # (default=1898D8)', @thefeedbackcompanyid , 80, NULL , NULL );

INSERT INTO configuration ( configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, use_function, set_function )
VALUES ( 'The Feedback Company Sidebox Textbackgroundcolor', 'TFC_WBBC', 'ffffff', 'Enter widget textbackgroundcolor in hex without # (default=ffffff)', @thefeedbackcompanyid , 81, NULL , NULL );

INSERT INTO configuration ( configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, use_function, set_function )
VALUES ( 'The Feedback Company Sidebox Titlebackgroundcolor', 'TFC_WTTBC', 'dedede', 'Enter widget titlebackgroundcolor in hex without # (default=dedede)', @thefeedbackcompanyid , 82, NULL , NULL );

INSERT INTO configuration ( configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, use_function, set_function )
VALUES ( 'The Feedback Company Sidebox Titletextsize', 'TFC_WTTSZ', '12', 'Enter widget titletextsize in pixel (default=12px, 0=no titel)', @thefeedbackcompanyid , 83, NULL , NULL );

INSERT INTO configuration ( configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, use_function, set_function )
VALUES ( 'The Feedback Company Sidebox Textsize', 'TFC_WTXSZ', '8.5', 'Enter widget Textsize in pixel (default=8.5px)', @thefeedbackcompanyid , 84, NULL , NULL );

INSERT INTO configuration ( configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, use_function, set_function )
VALUES ( 'The Feedback Company Sidebox Title Font', 'TFC_WTTF', 'Arial', 'Choose the font for the title', @thefeedbackcompanyid , 85, NULL , 'zen_cfg_select_option(array(\'Arial\', \'Courier New\', \'Impact\', \'Lucida Console\', \'Lucida Sans Unicode\', \'Tahoma\', \'Times New Roman\', \'Trebuchet MS\', \'Verdana\', \'Comic Sans MS\', \'Helvetica\'),, \'sans-serif\'' );

INSERT INTO configuration ( configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, use_function, set_function )
VALUES ( 'The Feedback Company Sidebox Text Font', 'TFC_WTXF', 'Arial', 'Choose the font for the text', @thefeedbackcompanyid , 86, NULL , 'zen_cfg_select_option(array(\'Arial\', \'Courier New\', \'Impact\', \'Lucida Console\', \'Lucida Sans Unicode\', \'Tahoma\', \'Times New Roman\', \'Trebuchet MS\', \'Verdana\', \'Comic Sans MS\', \'Helvetica\'),, \'sans-serif\'' );
